Probleme Gradle



  • Bonjour/Bonsoir, j'ai un enorme probleme que je n'arrive pas à resoudre quand j'essaye de decompworkspace le Gradle:

    D'aprés ce que j'ai compris, ca fait l'erreur quand ca cherche la classe .classpath aprés ca ne fonctionne plus ( alors que j'ai rien touché xD)

    FAILURE: Build failed with an exception.
    
    * What went wrong:
    A problem occurred configuring root project 'Mods SunWhy'.
    > Could not resolve all dependencies for configuration ':classpath'.
       > Could not resolve net.md-5:SpecialSource:1.7.3.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/md-5/SpecialSource/1.7.3/SpecialSource-1.7.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.apache.httpcomponents:httpclient:4.3.3.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.apache.httpcomponents:httpmime:4.3.3.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/apache/httpcomponents/httpmime/4.3.3/httpmime-4.3.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.github.abrarsyed.jastyle:jAstyle:1.2.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/github/abrarsyed/jastyle/jAstyle/1.2/jAstyle-1.2.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve net.sf.trove4j:trove4j:2.1.0.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/sf/trove4j/trove4j/2.1.0/trove4j-2.1.0.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.google.code.gson:gson:2.2.4.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:RetroGuard:3.6.6
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:mcinjector:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/google/code/gson/gson/2.2.4/gson-2.2.4.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.google.guava:guava:18.0.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/google/guava/guava/18.0/guava-18.0.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.ow2.asm:asm-debug-all:5.0.3.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/ow2/asm/asm-debug-all/5.0.3/asm-debug-all-5.0.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.github.tony19:named-regexp:0.2.3.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/github/tony19/named-regexp/0.2.3/named-regexp-0.2.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.cloudbees:diff4j:1.1.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/cloudbees/diff4j/1.1/diff4j-1.1.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve net.sf.jopt-simple:jopt-simple:4.6.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:RetroGuard:3.6.6
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:mcinjector:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/sf/jopt-simple/jopt-simple/4.6/jopt-simple-4.6.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:jobs:3.5.300-v20130429-1813.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/jobs/3.5.300-v20130429-1813/jobs-3.5.300-v20130429-1813.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse:osgi:3.9.1-v20130814-1242.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/osgi/3.9.1-v20130814-1242/osgi-3.9.1-v20130814-1242.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:contenttype:3.4.200-v20130326-1255.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/contenttype/3.4.200-v20130326-1255/contenttype-3.4.200-v20130326-1255.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:resources:3.2.1-R32x_v20060914.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/resources/3.2.1-R32x_v20060914/resources-3.2.1-R32x_v20060914.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.equinox:common:3.6.200-v20130402-1505.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/common/3.6.200-v20130402-1505/common-3.6.200-v20130402-1505.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.text:org.eclipse.text:3.5.101.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/text/org.eclipse.text/3.5.101/org.eclipse.text-3.5.101.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.jgit:org.eclipse.jgit:3.2.0.201312181205-r.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/jgit/org.eclipse.jgit/3.2.0.201312181205-r/org.eclipse.jgit-3.2.0.201312181205-r.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.equinox:preferences:3.5.100-v20130422-1538.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/preferences/3.5.100-v20130422-1538/preferences-3.5.100-v20130422-1538.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve net.sf.jopt-simple:jopt-simple:4.6.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/sf/jopt-simple/jopt-simple/4.6/jopt-simple-4.6.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:runtime:3.9.0-v20130326-1255.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/runtime/3.9.0-v20130326-1255/runtime-3.9.0-v20130326-1255.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.ow2.asm:asm-debug-all:5.0.3.
         Required by:
             :Mods SunWhy:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:mcinjector:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/ow2/asm/asm-debug-all/5.0.3/asm-debug-all-5.0.3.pom'. Received status code 501 from server: HTTPS Required
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    
    BUILD FAILED
    


  • Avant de faire ton decompWorkspace ils faut ouvrir le cmd appeller gradlew et apres dans faire gradlew task et puis ton decomp sinon sa fait des erreurs, et si tu as déjà fait ceci refait le fichier


  • Moddeurs confirmés Rédacteurs Administrateurs

    Non, le problème vient du fait que le dépot de maven central n'est plus disponible en http (il l'est uniquement en https) et les vieilles versions de gradle utilise toujours l'http.
    => Faut se mettre à jour. (et arrêter de modder les versions obsolètes de Minecraft)



  • On peut pas changer les adresse web dans Graddle ou un truc.

    P.S. J'utilise la 1.7.10 pas parce que j'en ai envie mais parece que je suis obligé d'utiliser un serveur Cauldron pour les mods et le plugins Bukkit.

    J'ai coder un mods qui a duré 4 mois j'ai pas envie de, le jeter a la poubelle et recommencer a coder un mod en 1.11.2


  • Moddeurs confirmés Rédacteurs Administrateurs



  • Merci c'est bon j'ai reglé le probleme, Sujet clos



  • 731c194c-b75e-4ad5-80c3-46d1ef439706-image.png

    Alors nouvelle erreur que je n'arrive pas à resoudre.
    Je suis désolé de vous dernager mais je suis vraiment pas fort en programmation.

    Et donnez moi une solution, ne dites pas "Arrete de coder en 1.7.10 c'est obsolete etc..."
    Je voudrai juste une solution car ceux qui codent en 1.7.10 auront la meme erreur que moi
    Et beaucoup de personnes codent en 1.7.10


  • Moddeurs confirmés Rédacteurs Administrateurs

    C'est toujours la même qu'avant.



  • 9d9c74f3-287f-4f8d-9e08-79d428f6d328-image.png

    J'ai mis ca et ca m'a mis l'erreur qui est juste au dessus



  • Que dois - je faire ?
    Dois-je vous donner un fichier pour me le regler car la j'en peut plus x)


  • Moddeurs confirmés Rédacteurs Administrateurs

    J'en sais rien.
    La seule solution que je connais c'est de se mettre à jour.



  • J'ai déjà eu cette erreur et pour modifier ça, à la ligne :

    version = "1.0"

    Tu remplaces le "1.0" par "2.6" et normalement ça fonctionne.


Log in to reply